#ifndef PROGBOB_H
#define PROGBOB_H

#include <string>
#include <vector>

class ProgBobPriv;

class ProgBob {
    private:
        ProgBobPriv * priv;
    public:
        ProgBob();
        virtual ~ProgBob();
        void connect(const std::string & port);
        std::string getStatus();
        void reset();
        void program(const std::string & segment, unsigned int startAddress, const std::vector<uint8_t> & memory);
        void startProgramMode(const std::string & mode, bool erase);
        void signalError();
};





#endif
